Subject: [ieee-ietf-coord] FW: [new-work] WG Review: Network Virtualization Overlays (nvo3)

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 5 Oct 2014 11:02:32 +0000

The nvo3 wg re-chartering presented by Adrian at the 9/29 f2f meeting. 

Comments are welcome. 

Regards,

Dan

> -----Original Message-----
> From: new-work [mailto:[email-masked]] On Behalf Of IESG
> Secretary
> Sent: Friday, October 03, 2014 11:35 PM
> To: [email-masked]
> Subject: [new-work] WG Review: Network Virtualization Overlays (nvo3)
> 
> The Network Virtualization Overlays (nvo3) working group in the Routing
> Area of the IETF is undergoing rechartering. The IESG has not made any
> determination yet. The following draft charter was submitted, and is
> provided for informational purposes only. Please send your comments to the
> IESG mailing list (iesg at ietf.org) by 2014-10-13.
> 
> Network Virtualization Overlays (nvo3)
> ------------------------------------------------
> Current Status: Active WG
> 
> Chairs:
>   Matthew Bocci <[email-masked]>
>   Benson Schliesser <[email-masked]>
> 
> Secretaries:
>   Sam Aldrin <[email-masked]>
> 
> Technical advisors:
>   Ron Bonica <[email-masked]>
> 
> Assigned Area Director:
>   Alia Atlas <[email-masked]>
> 
> Mailing list
>   Address: [email-masked]
>   To Subscribe: https://www.ietf.org/mailman/listinfo/nvo3
>   Archive: http://www.ietf.org/mail-archive/web/nvo3/
> 
> Charter:
> 
> The purpose of the NVO3 WG is to develop a set of protocols and/or protocol
> extensions that enable network virtualization within a data center (DC)
> environment that assumes an IP-based underlay. An NVO3 solution provides
> layer
> 2 and/or layer 3 services for virtual networks enabling multi-tenancy and
> workload mobility, addressing the issues described in the problem statement
> (including management and security), and consistent with the framework
> previously produced by the NVO3 WG.
> 
> The NVO3 WG will develop solutions for network virtualization based on the
> following architectural tenets:
>  - Support for an IP-based underlay data plane
>  - A logically centralized authority for network virtualization Network
> virtualization approaches that do not adhere to these tenets are explicitly
> outside of the scope of the NVO3 WG.
> 
> In pursuit of the solutions described above, the NVO3 WG will document an
> architecture for network virtualization within a data center environment.
> 
> The NVO3 WG may produce requirements for a network virtualization
> control plane, and will select, extend, and/or develop one protocol for each
> of the functional interfaces identified to support the architecture. Such
> protocols are expected to fulfill the communication requirements between
> an End Device and a Network Virtualization Edge
> (NVE) in cases where the NVE is not co-resident with the End Device, and
> between an NVE and the Network Virtualization Authority (NVA).
> The internal mechanisms and protocols of a logically centralized NVA are
> explicitly out of scope of the NVO3 WG.  Architectural issues raised by
> coexistence of multiple logically centralized control planes in the same data
> center may be considered by the WG. Inter-DC mechanisms are not in scope
> of the NVO3 WG at this time.
> 
> The NVO3 WG may produce requirements for network virtualization data
> planes based on encapsulation of virtual network traffic over an IP-based
> underlay data plane. Such requirements should consider OAM and security.
> Based on these requirements the WG will select, extend, and/or develop
> one or more data plane encapsulation format(s).
> 
> Additionally, the WG may document common use-cases for NVO3 solutions.
> 
> The working group may choose to adopt a protocol or data encapsulation
> that was previously worked on outside the IETF as the basis for the WG's
> work.  If the NVO3 WG anticipates the adoption of the technologies of
> another SDO as part of the selected protocols or data encapsulation, the
> NVO3 WG will first liaise with that SDO to ensure the compatibility of the
> approach.
> 
> The NVO3 WG will not consider solutions to network virtualization within a
> data center environment based on extensions to BGP or LISP protocols.
> 
> 
> Milestones:
> 
> _______________________________________________
> new-work mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/new-work